%global	header_dir	%{ruby_vendorarchdir}

%global	gem_name cairo
%global	gemver 1.12.9

Summary:	Ruby bindings for cairo
Name:		rubygem-%{gem_name}
Version:	%{gemver}
Release:	%mkrel 1
Group:		Development/Ruby
License:	GPLv2 or Ruby
URL:		http://cairographics.org/rcairo/
Source0:	http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Source1:	create-cairo-gem.sh
Requires:	ruby(release)
BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	cairo-devel
BuildRequires:	ruby-devel
Requires:	rubygems
Provides:	rubygem(%{gem_name}) = %{version}-%{release}
Obsoletes:	ruby-%{gem_name} < %{version}
Provides:	ruby-%{gem_name} = %{version}-%{release}

%description
Ruby bindings for cairo. Cairo is a 2D graphics library with support for 
multiple output devices. Currently supported output targets include the 
X Window System, win32, and image buffers.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%package	devel
Summary:	Ruby-cairo development environment
Group:		Development/Ruby
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel
Requires:	ruby-devel
Obsoletes:	ruby-cairo-devel < %{version}
Provides:	ruby-cairo-devel = %{version}-%{release}

%description devel
Header files and libraries for building a extension library for the
ruby-cairo

%prep
%setup -q -T -c

mkdir -p ./%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%gem_install -n %{SOURCE0}

find . -name \*.gem | xargs chmod 0644

%build
# pkg-config dependency should be for development
find . -name \*.gemspec | \
	xargs sed -i -e '\@pkg-config@s|runtime_dependency|development_dependency|'

# Once install to TMPINSTDIR for %%check
rm -rf ./TMPINSTDIR
mkdir -p ./TMPINSTDIR/%{gem_dir}
cp -a ./%{gem_dir}/* ./TMPINSTDIR/%{gem_dir}

TOPDIR=$(pwd)

## remove all shebang, set permission to 0644
for f in $(find ./TMPINSTDIR/%{gem_instdir} -name \*.rb)
do
	sed -i -e '/^#!/d' $f
	chmod 0644 $f
done

# Move C extension
mkdir -p ./TMPINSTDIR/%{gem_extdir_mri}
cp -a ./%{gem_extdir_mri}/*  TMPINSTDIR/%{gem_extdir_mri}/

pushd ./TMPINSTDIR
mkdir -p .%{header_dir}
mv .%{gem_extdir_mri}/*.h .%{header_dir}/
rm -f .%{gem_extdir_mri}/{gem_make.out,mkmf.log}

popd

# cleanups
rm -rf ./TMPINSTDIR/%{gem_instdir}/ext/
rm -f ./TMPINSTDIR/%{gem_instdir}/{Makefile*,extconf.rb}

%install
rm -rf %buildroot
mkdir -p %{buildroot}/usr
cp -a ./TMPINSTDIR/* %{buildroot}/


%files
%{gem_extdir_mri}/
%dir	%{gem_instdir}/
%doc	%{gem_instdir}/[A-Z]*
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%{gem_instdir}/lib/
%exclude	%{gem_cache}
%{gem_spec}

%files	doc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/samples/
%{gem_instdir}/test/
%{gem_docdir}/

%files	devel
%{header_dir}/rb_cairo.h

%changelog
* Fri Oct 31 2014 bb <bb> 1.12.9-1pclos2014
- import
